dtbuilderaction(file formats)

NAME
dtbuilderaction — XCDE application builder actions

SYNOPSIS

Dtbuilder [component]
Dtcodegen [component]
Open component

DESCRIPTION

The XCDE Application Builder Services support the following application builder actions:

Dtbuilder
    Open an empty application builder view.

Dtbuilder component
    Open an application builder view of the module or project named by the pathname in the component argument.

Dtcodegen
    Prompt the user for the pathname of a project and generate code for the project specified by the user.

Dtcodegen component
    Generate code for the project named by the pathname in the component argument.

Open component
    Open an application builder view of the module or project named by the pathname in the component argument.

These actions can be invoked from an application using the DtActionInvoke(3) function or invoked from a command line using the dtaction(1) utility.

SEE ALSO

dtaction(1), DtActionInvoke(3).